#
# spec file for package python-flup
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-flup
Version:        1.0.3.dev_20110405
Release:        18.5
Url:            http://www.saddi.com/software/flup/
Summary:        Random assortment of WSGI servers
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/f/flup/flup-1.0.3.dev-20110405.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
A random collection of WSGI modules for Python

%prep
%setup -q -n flup-1.0.3.dev-20110405

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug 31 2011 saschpe@suse.de
- Update to 1.0.3.dev-20110405:
  * Re-seed random module after each fork.
  * Add an indication as to which header fails assertion when
    passing in non-string header names and/or values.
- Ran py2pack to cleanup spec file
  * Removed old changelog entries
* Tue Sep 29 2009 alexandre@exatati.com.br
- Update to 1.0.2;
- Building as noarch for openSUSE >= 11.2.
- Minor changes in spec file to make it
  more readable.
